/*!
 * name: @jswork/next-json2base64
 * description: Json and base64 encode/decode.
 * homepage: https://js.work
 * version: 1.0.8
 * date: 2024-01-30 19:37:35
 * license: MIT
 */

'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
exports['default'] = void 0;
var _next = _interopRequireDefault(require('@jswork/next'));
var _jsBase = _interopRequireDefault(require('js-base64'));
function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
var NxJson2base64 = _next['default'].declare('nx.Json2base64', {
  statics: {
    base64: _jsBase['default'],
    encode: function encode(inObject) {
      var str = JSON.stringify(inObject);
      return _jsBase['default'].encode(str);
    },
    decode: function decode(inString) {
      var jsonStr = _jsBase['default'].decode(inString);
      return JSON.parse(jsonStr);
    },
    encodeURI: function encodeURI(inObject) {
      var str = this.encode(inObject);
      return encodeURIComponent(str);
    },
    decodeURI: function decodeURI(inString) {
      var str = decodeURIComponent(inString);
      return this.decode(str);
    }
  }
});
if (typeof module !== 'undefined' && module.exports && typeof wx === 'undefined') {
  module.exports = NxJson2base64;
}
var _default = (exports['default'] = NxJson2base64);
